<?php 
//Initialize the update checker.
require 'functions/updates.php';
$example_update_checker = new ThemeUpdateChecker(
'Yoozmusic',                                            //Theme folder name, AKA "slug". 
'http://update.vebeet.com/preview/yoozmusic/info.json' //URL of the metadata file.
);
define ('THEME_VERSION', wp_get_theme()->get( 'Version' ));
define( 'theme_CSS', get_template_directory_uri() . '' );
// vebeet styles and scripts
if ( ! function_exists( 'vebeet_add_styles_and_scripts' ) ) {
function vebeet_add_styles_and_scripts() {
wp_register_style( 'stylecss', theme_CSS . '/style.css',array(),THEME_VERSION);
wp_enqueue_style( 'stylecss');
}
}
add_action( 'wp_enqueue_scripts', 'vebeet_add_styles_and_scripts' );
// remove css js ver
function remove_cssjs_ver( $src ) {
if( strpos( $src, '?ver=' ) )
$src = remove_query_arg( 'ver', $src );
return $src;
}
add_filter( 'style_loader_src', 'remove_cssjs_ver', 10, 2 );
add_filter( 'script_loader_src', 'remove_cssjs_ver', 10, 2 );
// metabox
include (get_template_directory() . '/functions/metabox.php');
// add favicon
function vebeet_favicon() { ?>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="MobileOptimized" content="width">
<meta name="HandheldFriendly" content="true"> 
<meta name="theme-color" content="#d41f1e">
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
<link href="<?php bloginfo('template_url'); ?>/favicon.png" rel="shortcut icon">
<!--[if IE]><script src="<?php echo get_template_directory_uri(); ?>/js/modernizr.js"></script><![endif]-->
<?php }
add_action('wp_head', 'vebeet_favicon');
//Navigation
if ( function_exists( 'register_nav_menu' ) ){
register_nav_menus(
array(
'menu' => 'منو هدر',
'footer' => 'لینک فوتر'
));
}
function navmenu_fallback(){echo '<ul><li style="color:#fff;"><a target="_blank" href="http://vebeet.com/post/365/">آموزش ساخت فهرست و تنظيم منو در وردپرس</a></li><ul>';}
//pagenavi
include (get_template_directory() . '/functions/pagenavi.php');
function mfamo_pagenavi( $query = false, $num = false ){
?>
<div class="entry">
<div class="wp-pagenavi">
<?php mfamo_get_pagenavi( $query, $num ) ?>
</div>
</div>
<?php
}
//delet WP_Widget
function unregister_default_wp_widgets() {
unregister_widget('WP_Widget_Search');// جستجو
unregister_widget('WP_Widget_Categories'); // ابزارک دسته ها
unregister_widget('WP_Widget_Meta'); // ابزارک اطلاعات
unregister_widget('WP_Widget_Archives'); // ابزارک بايگاني
}
add_action('widgets_init', 'unregister_default_wp_widgets', 1);
//sidebar
function snippets_widgets_init() {
if(function_exists('register_sidebar') ){
register_sidebar(array(
'name'=> 'ابزارک راست',
'id'=> 'right_widgets',
'before_widget' => '<section class="box">',
'after_widget'=> '
</div><!-- content -->
</section><!-- box -->',
'before_title'=> '
<div class="title">
<h4>',
'after_title' => '
</h4>
</div>
<div class="content">',
));
register_sidebar(array(
'name'=> 'ابزارک چپ',
'id'=> 'left_widgets',
'before_widget' => '<section class="box">',
'after_widget'=> '
</div><!-- content -->
</section><!-- box -->',
'before_title'=> '
<div class="title">
<h4>',
'after_title' => '
</h4>
</div>
<div class="content">',
));
register_sidebar(array(
'name'=> 'پست ثابت بالا صفحه اصلی',
'id'=> 'top_index_widgets',
'before_widget' => '<div class="entry">',
'after_widget'=> '</div><!-- entry --></div><!-- entrycontent -->',
'before_title'=> '
<div class="title">
<h4>',
'after_title' => '
</h4 class="heding">
</div><div class="entrycontent">',
));
register_sidebar(array(
'name'=> 'پست ثابت پایین صفحه اصلی',
'id'=> 'bottom_index_widgets',
'before_widget' => '<div class="entry">',
'after_widget'=> '</div><!-- entry -->',
'before_title'=> '
<div class="title">
<h4>',
'after_title' => '
</h4 class="heding">
</div>',
));
register_sidebar(array(
'name'=> 'پست ثابت بالا ادامه مطلب',
'id'=> 'top_single_widgets',
'before_widget' => '<div class="entry">',
'after_widget'=> '</div><!-- entry -->',
'before_title'=> '
<div class="title">
<h4>',
'after_title' => '
</h4 class="heding">
</div>',
));
register_sidebar(array(
'name'=> 'پست ثابت پایین ادامه مطلب',
'id'=> 'bottom_single_widgets',
'before_widget' => '<div class="entry">',
'after_widget'=> '</div><!-- entry -->',
'before_title'=> '
<div class="title">
<h4>',
'after_title' => '
</h4 class="heding">
</div>',
));
}
}
add_action( 'widgets_init', 'snippets_widgets_init' );
include(TEMPLATEPATH .'/functions/advertising.php');
// Update CSS within in Admin
function admin_style() {
wp_enqueue_style('admin-styles', get_template_directory_uri().'/css/wp-admin.css');
}
add_action('admin_enqueue_scripts', 'admin_style');
// @ vebeet notifier
function showMessage($message, $errormsg = false){
if ($errormsg) { echo '<div class="updated">'; }
else { echo '<div class="updated">'; }
echo '<p>' . $message . '</p></div>'; }
function showAdminMessages(){
showMessage("با تشکر از اینکه یکی از پوسته های سایت <a href=\"http://vebeet.com\" target=\"_blank\">وبیت</a> را انتخاب دانلود کرده اید.", true);
}
add_action('admin_notices', 'showAdminMessages');
function wpc_dashboard_widgets() {
global $wp_meta_boxes;
unset(
$wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins'],
$wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary'],
$wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']
);
// add a custom dashboard widget
wp_add_dashboard_widget( 'dashboard_custom_feed', 'آخرین مطالب وبیت', 'dashboard_custom_feed_output' ); //add new RSS feed output
}
function dashboard_custom_feed_output() {
echo '<div class="rss-widget">';
wp_widget_rss_output(array(
'url' => 'http://vebeet.com/feed/',
'title' => 'آخرین مطالب وبیت',
'items' => 5,
'show_summary' => 0,
'show_author' => 0,
'show_date' => 0
));
echo "</div>";
}
add_action('wp_dashboard_setup', 'wpc_dashboard_widgets');
// plugin activation
require_once get_template_directory() . '/functions/plugin-activation.php';
add_action( 'tgmpa_register', 'vebeet_register_required_plugins' );
function vebeet_register_required_plugins() {
$plugins = array(
// This is an example of how to include a plugin from the WordPress Plugin Repository.
array(
'name'      => 'بازدید مطالب',
'slug'      => 'wp-postviews',
'required'  => true,
'force_activation'   => true,
),
array(
'name'      => 'وردپرس فارسی',
'slug'      => 'wp-jalali',
'required'  => true,
),
array(
'name'      => 'بهینه ساز کدها',
'slug'      => 'autoptimize',
'required'  => false,
'force_activation'   => true,
),
array(
'name'        => 'افزونه سئو یوهاست',
'slug'        => 'wordpress-seo',
'is_callable' => 'wpseo_init',
'required'  => true,
'force_activation'   => true,
),
);
$config = array(
'id'           => 'vebeet',                 // Unique ID for hashing notices for multiple instances of TGMPA.
'default_path' => '',                      // Default absolute path to bundled plugins.
'menu'         => 'plugin-install', // Menu slug.
'has_notices'  => true,                    // Show admin notices or not.
'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
'is_automatic' => false,                   // Automatically activate plugins after installation or not.
'message'      => '',                      // Message to output right before the plugins table.
);
tgmpa( $plugins, $config );
}
?>